digiKam Developer Documentation: Digikam::MapWidgetView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | List of all members
Digikam::MapWidgetView Class Reference

Class containing digiKam's central map view.

Inheritance diagram for Digikam::MapWidgetView:

## Public Types
enum | Application { ApplicationDigikam = 1 , ApplicationImportUI = 2 }
Public Types inherited from Digikam::StateSavingObject
enum | StateSavingDepth { INSTANCE , DIRECT_CHILDREN , RECURSIVE }
| This enum defines the "depth" of the StateSavingObject::loadState() and StateSavingObject::saveState() methods. More...

## Public Member Functions
| MapWidgetView (QItemSelectionModel *const selectionModel, DCategorizedSortFilterProxyModel *const imageFilterModel, QWidget *const parent, const Application application)
| Constructor.
| ~MapWidgetView () override
| Destructor.
CamItemInfo | currentCamItemInfo () const
| Returns the CamItemInfo for the current image.
ItemInfo | currentItemInfo () const
| Returns the ItemInfo for the current image.
bool | getActiveState () const
void | setActive (const bool state)
| Set the map active/inactive.
Public Member Functions inherited from Digikam::StateSavingObject
| StateSavingObject (QObject *const host)
| Constructor.
virtual | ~StateSavingObject ()
| Destructor.
StateSavingDepth | getStateSavingDepth () const
| Returns the depth used for state saving or loading.
void | loadState ()
| Invokes loading the class' state.
void | saveState ()
| Invokes saving the class' state.
virtual void | setConfigGroup (const KConfigGroup &group)
| Sets a dedicated config group that will be used to store and reload the state from.
virtual void | setEntryPrefix (const QString &prefix)
| Define a prefix that will be used for every entry in the config group.
void | setStateSavingDepth (const StateSavingDepth depth)
| Sets the depth used for state saving or loading.

## Protected Member Functions
void | doLoadState () override
| Implement this hook method for state loading.
void | doSaveState () override
| Implement this hook method for state saving.
Protected Member Functions inherited from Digikam::StateSavingObject
QString | entryName (const QString &base) const
| Always use this method to create config group entry names.
KConfigGroup | getConfigGroup () const
| Returns the config group that must be used for state saving and loading.

## Constructor & Destructor Documentation

## ◆ MapWidgetView()

Digikam::MapWidgetView::MapWidgetView | ( | QItemSelectionModel *const | selectionModel,
|  | DCategorizedSortFilterProxyModel *const | imageFilterModel,
|  | QWidget *const | parent,
|  | const Application | application
| ) |  |
| explicit

Parameters

  selectionModel | digiKam's selection model
  imageFilterModel | digikam's filter model
  parent | the parent object
  application | the type of application host

## Member Function Documentation

## ◆ currentCamItemInfo()

CamItemInfo Digikam::MapWidgetView::currentCamItemInfo | ( |  | ) | const

## ◆ currentItemInfo()

ItemInfo Digikam::MapWidgetView::currentItemInfo | ( |  | ) | const

## ◆ doLoadState()

void Digikam::MapWidgetView::doLoadState | ( |  | ) |
| overrideprotectedvirtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.

## ◆ doSaveState()

void Digikam::MapWidgetView::doSaveState | ( |  | ) |
| overrideprotectedvirtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.

## ◆ getActiveState()

bool Digikam::MapWidgetView::getActiveState | ( |  | ) | const

Returns
  The map's active state

## ◆ setActive()

void Digikam::MapWidgetView::setActive | ( | const bool | state | ) |

Parameters

  state | If true, the map is active.